GccCompatibleCCompiler (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.gcc
Class GccCompatibleCCompiler

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
              net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
                  net.sf.antcontrib.cpptasks.compiler.CommandLineCCompiler
                      net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler

All Implemented Interfaces:
  java.lang.Cloneable, Compiler, Processor

Direct Known Subclasses:
  aCCCompiler, ForteCCCompiler, GccCCompiler, GccCCompiler, GccCCompiler, IntelLinux32CCompiler, IntelLinux64CCompiler, VisualAgeCCompiler

    public abstract class GccCompatibleCCompiler

extends CommandLineCCompiler

Abstract base class for compilers that attempt to be command line compatible with GCC

Author:
  Adam Murdoch, Curt Arnold

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Constructor Summary
`protected` | `GccCompatibleCCompiler(java.lang.String command, java.lang.String identifierArg, boolean libtool, GccCompatibleCCompiler libtoolCompiler, boolean newEnvironment, org.apache.tools.ant.types.Environment env)` Private constructor.
`protected` | `GccCompatibleCCompiler(java.lang.String command, java.lang.String identifierArg, java.lang.String[] sourceExtensions, java.lang.String[] headerExtensions, boolean libtool, GccCompatibleCCompiler libtoolCompiler, boolean newEnvironment, org.apache.tools.ant.types.Environment env)` Private constructor.

Method Summary
`void` | `addImpliedArgs(java.util.Vector args, boolean debug, boolean multithreaded, boolean exceptions, LinkType linkType, java.lang.Boolean rtti, OptimizationEnum optimization)`
`void` | `addIncludePath(java.lang.String path, java.util.Vector cmd)` Adds an include path to the command.
`void` | `addWarningSwitch(java.util.Vector args, int level)`
`void` | `getDefineSwitch(java.lang.StringBuffer buffer, java.lang.String define, java.lang.String value)`
`protected java.io.File[]` | `getEnvironmentIncludePath()`
`java.lang.String` | `getIncludeDirSwitch(java.lang.String includeDir)`
`void` | `getUndefineSwitch(java.lang.StringBuffer buffer, java.lang.String define)`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCCompiler
`createParser`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
`addIncludes, buildDefineArguments, compile, createConfiguration, getArgumentCountPerInputFile, getCommand, getIdentifier, getInputFileArgument, getLibtool, getLibtoolCompiler, getMaximumCommandLength, getMaximumInputFilesPerCommand, getTotalArgumentLengthForInputFile, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
`canParse, createConfiguration, getBaseOutputName, getOutputFileNames, parseIncludes, resolveInclude`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`bid, changeEnvironment, clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.cpptasks.compiler.Processor
`bid, changeEnvironment, getLinker`

Constructor Detail

### GccCompatibleCCompiler

    protected GccCompatibleCCompiler(java.lang.String command,
                                     java.lang.String identifierArg,
                                     boolean libtool,
                                     GccCompatibleCCompiler libtoolCompiler,
                                     boolean newEnvironment,
                                     org.apache.tools.ant.types.Environment env)

  Private constructor. Use GccCCompiler.getInstance() to get singleton instance of this class.

### GccCompatibleCCompiler

    protected GccCompatibleCCompiler(java.lang.String command,
                                     java.lang.String identifierArg,
                                     java.lang.String[] sourceExtensions,
                                     java.lang.String[] headerExtensions,
                                     boolean libtool,
                                     GccCompatibleCCompiler libtoolCompiler,
                                     boolean newEnvironment,
                                     org.apache.tools.ant.types.Environment env)

  Private constructor. Use GccCCompiler.getInstance() to get singleton instance of this class.

Method Detail

### addImpliedArgs

    public void addImpliedArgs(java.util.Vector args,
                               boolean debug,
                               boolean multithreaded,
                               boolean exceptions,
                               LinkType linkType,
                               java.lang.Boolean rtti,
                               OptimizationEnum optimization)

  Specified by:
    `addImpliedArgs` in class `CommandLineCompiler`

### addIncludePath

    public void addIncludePath(java.lang.String path,
                               java.util.Vector cmd)

  Adds an include path to the command.

### addWarningSwitch

    public void addWarningSwitch(java.util.Vector args,
                                 int level)

  Specified by:
    `addWarningSwitch` in class `CommandLineCompiler`

### getDefineSwitch

    public void getDefineSwitch(java.lang.StringBuffer buffer,
                                java.lang.String define,
                                java.lang.String value)

  Specified by:
    `getDefineSwitch` in class `CommandLineCompiler`

### getEnvironmentIncludePath

    protected java.io.File[] getEnvironmentIncludePath()

  Specified by:
    `getEnvironmentIncludePath` in class `CommandLineCompiler`

### getIncludeDirSwitch

    public java.lang.String getIncludeDirSwitch(java.lang.String includeDir)

  Specified by:
    `getIncludeDirSwitch` in class `CommandLineCompiler`

### getUndefineSwitch

    public void getUndefineSwitch(java.lang.StringBuffer buffer,
                                  java.lang.String define)

  Specified by:
    `getUndefineSwitch` in class `CommandLineCompiler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.